# DependencyDesign class

Describes a dependency required by a component or pod.

This class is used to specify the name of the dependency, an optional qualifier (to disambiguate multiple pods of the same type), and whether the dependency is required.

### Example

    final descriptor = DependencyDesign(
      "databaseService",
    );

    print(descriptor.name); // "databaseService"

Mixed-in types
  - EqualsAndHashCode
  - ToString

## Constructors

DependencyDesign.new({String? name, bool prototypeInSingleton = false})
  Creates a DependencyDesign with the given `name`, optional `qualifier`, and required flag.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
name ↔ String?
  The unique name of the dependency being described.
  getter/setter pair
prototypeInSingleton ↔ bool
  Whether this dependency is a prototype in a singleton scope.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

equalizedProperties() → List<Object?>
  Mixin-style contract for value-based equality, `hashCode`, and `toString`.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited
toStringOptions() → ToStringOptions
  override

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited